LOCALE(1)

NAME
locale - Get locale-specific information.

SYNOPSIS
locale [ "-a" | "-m"]

locale [ -ck ] name...

DESCRIPTION
The locale program writes information about the current locale environment, or all locales, to standard output.

When invoked without arguments, locale summarizes the current locale environment for each locale category defined by the LC_* environment variables.

-a, --all-locales

        Write names of available locales.
-m, --charmaps

        Write names of available charmaps.

  Output Format:
-c, --category-name

        Write names of selected categories.
-k, --keyword-name

        Write names and values of selected keywords.

ENVIRONMENT VARIABLES
These environment variables affect each locale categories for all locale-aware programs: LC_CTYPE

        Character classification and case conversion.
LC_COLLATE

        Collation order.
LC_TIME

        Date and time formats.
LC_NUMERIC

        Non-monetary numeric formats.
LC_MONETARY

        Monetary formats.
LC_MESSAGES

        Formats of informative and diagnostic messages and
        interactive responses.
LC_PAPER

        Paper size.
LC_NAME

        Name formats.
LC_ADDRESS

        Address formats and location information.
LC_TELEPHONE

        Telephone number formats.
LC_MEASUREMENT

        Measurement units (Metric or Other).
LC_IDENTIFICATION

        Metadata about the locale information.
This environment variable can switch against multiple locale database: LOCPATH

        The directory where locale data is stored.  In default, /usr/lib/locale is used.

FILES

/usr/share/i18n/SUPPORTED
    List of supported values (and their associated encoding) for the locale name. This representation is recommended over --all-locales one, due being the system wide supported values.

AUTHOR
locale was written by Ulrich Drepper for the GNU C Library.
This manpage was written by Joel Klecker <espy@debian.org> for the Debian GNU/Linux system, and expanded by Alastair McKinstry <mckinstry@computer.org>

SEE ALSO
locale(5), locale(7), setlocale(3)